// Copyright (C) 2008, VitaminC
// VitaminC reserves the right to modify or overwrite this NinjaScript component with each release.
// Version  1.0 	2008-03-07
#region Using declarations
using System;
using System.ComponentModel;
using System.Drawing;
using NinjaTrader.Cbi;
using NinjaTrader.Data;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Indicator;
using VC.NinjaScript;
#endregion

// This namespace holds all indicators and is required. Do not change it.
namespace VC.NinjaScript.Utility
{
	/* Creates an enum that is assigned to MovingAverageType */
	public enum MovingAverageType
	{
		ADXVMA,
		EMA,
		HMA,
		SMA,
		JMAq,
		SMMA,
		VWMA,
		WMA,
		TMA,
		T3,
		TEMA,
		VMA,
		ZeroLagEMA,
		ZeroLagTEMA,
	}	    
	
	/* Creates an enum that is assigned to ActionType */
	public enum ActionType
	{
		Short = -1,		
		Out = 0,
		Long = 1		
	}	     
	
	public sealed class Compare
	{
		#region "Constructor"
        /// <summary>
        /// Since this class provides only static methods, make the default constructor
        /// private to prevent instances from being created with "new Compare()".
        /// </summary>
        private Compare() { }
        #endregion   
		
		public static bool Greater(double d1, double d2, double tickSize)
		{			
			if (d1 > d2 && (d1 - d2 > tickSize / 2))
				return true;
			else
				return false;
		}
		
		public static bool Lesser(double d1, double d2, double tickSize)
		{
			if (d1 < d2 && (d2 - d1 > tickSize / 2))
				return true;
			else
				return false;
		}
		
		public static bool ApproximatelyEquals(double d1, double d2, double tickSize)
		{			
			if (Math.Abs(d1 - d2) < tickSize / 2)
				return true;
			else
				return false;
		}
	}
	
	
}